// was going to make things to call on new message
function RefreshResize() {
	avatarHide();// need to only call this after a Start of a group, meh
}

// hide the empty avatar container if it contains noavatar.jpg
function avatarHide() {
	avatar=document.getElementById("avatar_new");
	aframe=document.getElementById("avatar_frame_new");

	if (avatar && aframe) {
		avatar.id="avatar_old";
		aframe.id="avatar_frame_old";

		if (avatar.src.substring(avatar.src.length-12, avatar.src.length) == "noavatar.jpg")
		aframe.style.visibility = "hidden";

	}
}


// Appends text via a hidden <div></div>
function appendGroupMsg() {
	theMsg=document.getElementById("message_current");
	newMsg=document.getElementById("msg_new_grouped");
	max_word_breaker(newMsg);

	if (theMsg && newMsg) {
		theMsg.innerHTML+=newMsg.innerHTML;
		// would apply to newMsg, but since its not displayed the smileys don't have height/width
		correctSmileysPNG(theMsg);

		// no need to have the info in the log twice (it`s hell on copy and paste)
		newMsg.innerHTML="";
		// we don't want to confuse this w/ the next message.
		newMsg.id="";
	}
}
// this groupped message is done, we don't want to confuse it w/ the next group
function endGroupMsg() {
	theMsg=document.getElementById("message_current");

	if (theMsg) {
		theMsg.id="message_history";
	}
}








// smileys don't have the height and width set... bummer would make this easier
function correctSmileysPNG(element) {

	var child = element.getElementsByTagName('img');
	for (var i = 0; i < child.length; i++){
		var img = child[i];
		var imgName = img.src.toUpperCase();
		// only bother if its a png & has the class "img"

		if (imgName.substring(imgName.length-3, imgName.length) == "PNG" && img.className=="img") {
			var imgSrc = img.src;
			var blankSrc = "images/blank.gif";

			//need to rewrite smiley as not to lose the runtimefilter info when calling appendGroupMsg()
			var strNewHTML = "<img src='" + blankSrc+ "' class='img' title=\"" + img.alt + "\"  alt=\"" + img.alt + "\""
				+ " width='" + img.width + " height='" + img.height + "' style=\""
				+ "filter:progid:DXImageTransform.Microsoft.AlphaImageLoader"
				+ "(src=\'" + imgSrc + "\', sizingMethod='scale');\">";
			img.outerHTML = strNewHTML;
		}
	}
}




// Checks all text of given node and all its
// descendant nodes, truncating each word that
// is longer than allowed length mxw_max. This
// is an extra safety valve preventing unwanted
// overrun, e.g. of sidebars and/or margins.
var mxw_max = 20;

function max_word_breaker(node)
{
	if (node.nodeType == 3 /*Node.TEXT_NODE*/) {
		node.data=stringSpliter(node.data);
	}
	var children = node.childNodes;
	for (var i = 0; i < children.length; i++) max_word_breaker(children[i]); 
}
// Maximum allowed length of text words.

function stringSpliter(str){
	var flag = 0;
	var words = str.split(" ");
	for (var i = 0; i < words.length; i++) {
		if (words[i].length > mxw_max) {
			flag++;
			words[i] = words[i].substr(0, mxw_max) + " " + stringSpliter(words[i].substr(mxw_max));
		}
	}
    if (flag > 0) str = words.join(" ");
	return (str);
}